/* Google Fonts for Body */
@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;500;700&display=swap');

/* Custom Brand Fonts */
@font-face {
    font-family: 'New Black';
    src: url('../assets/fonts/NewBlackTypeface-Regular.woff2') format('woff2'),
         url('../assets/fonts/NewBlackTypeface-Regular.woff') format('woff'); /* Fallbacks */
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Aeion Mono';
    src: url('../assets/fonts/AeionMonoVariableTest-Regular-BF64c1e6b7a096d.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

/* Webkit Scrollbar Styling */
::-webkit-scrollbar { width: 6px; }
::-webkit-scrollbar-track { background: #0C1024; }
::-webkit-scrollbar-thumb { background: #3E36C9; border-radius: 3px; }
::-webkit-scrollbar-thumb:hover { background: # ; }

html, body { overflow-x: hidden; }